Bug 1144103 - (6.3.x) Upgrade to JBossWS 4.3.1.Final (from 4.3.0.Final-redhat-3)
Summary: (6.3.x) Upgrade to JBossWS 4.3.1.Final (from 4.3.0.Final-redhat-3)
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.2
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Keywords:
Depends On: 1103847 1111046 1115215 1135578 1143935
Blocks: eap632-blockers, eap632-payload 1145569
TreeView+ depends on / blocked
 
Reported: 2014-09-18 16:30 UTC by Alessio Soldano
Modified: 2017-10-10 00:11 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1149797 None None None Never
Red Hat Bugzilla 1149798 None None None Never
Red Hat Bugzilla 1149799 None None None Never
Red Hat Bugzilla 1149800 None None None Never
Red Hat Bugzilla 1149801 None None None Never
Red Hat Bugzilla 1149802 None None None Never
Red Hat Bugzilla 1149803 None None None Never
Red Hat Bugzilla 1149804 None None None Never
Red Hat Bugzilla 1149805 None None None Never
Red Hat Bugzilla 1149817 None None None Never
Red Hat Bugzilla 1149818 None None None Never
Red Hat Bugzilla 1149819 None None None Never


Description Alessio Soldano 2014-09-18 16:30:27 UTC
This is about upgrading to the latest JBossWS stack, which includes:
* JBossWS-CXF 4.3.1.Final
* JBossWS-Common 2.3.1.Final
* Apache CXF 2.7.12
* Apache WSS4J 1.6.16
* Apache Santuario 1.5.7

Comment 1 Alessio Soldano 2014-09-18 16:38:51 UTC
PR: https://github.com/jbossas/jboss-eap/pull/1698
JIRA: https://issues.jboss.org/browse/WFLY-3822
EAP 6.4 PR: https://github.com/jbossas/jboss-eap/pull/1696
Upstream (8.x) PR:  https://github.com/wildfly/wildfly/pull/6679 + https://github.com/wildfly/wildfly/pull/6728
No need for upstream master changes, as WFLY 9 is already on JBWS 5.

Fix for WFLY-3187 backported too, as it's required for passing the JBossWS 4.3.1.Final testsuite.

Comment 2 Vladimir Dosoudil 2014-10-09 06:15:38 UTC
JBoss WS CXF

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390317
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390318
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390319
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390320

JBoss WS Common

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390181
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390230
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390231
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390232

Apache CXF

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390306
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390307
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390308
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=390309

Apache CXF XJC Plugins

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388283
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388465
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388468
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388470

Apache WSS4J

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=389929
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=389932
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=389933
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=389937

Apache Santuario

MEAD build: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388287
RPM6 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388472
RPM5 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388474
RPM7 wrapper: https://brewweb.devel.redhat.com/taskInfo/buildinfo?buildID=388480

Prod rebuild PR: https://github.com/jbossas/jboss-eap/pull/1784

Comment 3 Jan Blizňák 2014-10-15 17:59:33 UTC
Verified on 6.3.2.CP.CR1

Also jandex is generated for cxf-rt-ws-security-2.7.12.SP1-redhat-1.jar


Note You need to log in before you can comment on or make changes to this bug.